# services/jenkins/service.yaml
apiVersion: v1
kind: Service
metadata:
  name: jenkins
  namespace: jenkins
  labels:
    app: jenkins
spec:
  ports:
    - name: http
      port: 8080
      targetPort: 8080
    - name: agent-listener
      port: 50000
      targetPort: 50000
  selector:
    app: jenkins
